{
  "swagger": "2.0",
  "info": {
    "title": "blocks.proto",
    "version": "version not set"
  },
  "tags": [
    {
      "name": "Cart"
    },
    {
      "name": "Coupon"
    },
    {
      "name": "Mgt"
    },
    {
      "name": "Summary"
    }
  ],
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "paths": {},
  "definitions": {
    "googlerpcStatus": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32"
        },
        "message": {
          "type": "string"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/protobufAny"
          }
        }
      }
    },
    "orderCartGetReply": {
      "type": "object",
      "properties": {
        "data": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/orderCartItem"
          },
          "title": "购物车中的商品数据列表"
        },
        "car_identity": {
          "type": "string",
          "title": "当前账号购物车唯一标识"
        }
      }
    },
    "orderCartItem": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "format": "int64",
          "title": "ID"
        },
        "product_id": {
          "type": "string",
          "format": "int64",
          "title": "商品ID"
        },
        "title": {
          "type": "string",
          "title": "商品名称"
        },
        "cover_image": {
          "type": "string",
          "title": "商品封面图片"
        },
        "sales_price": {
          "type": "string",
          "format": "int64",
          "title": "商品销售价格"
        },
        "product_identity": {
          "type": "string",
          "title": "产品唯一码"
        },
        "product_args": {
          "type": "string",
          "title": "商品属性"
        },
        "number": {
          "type": "integer",
          "format": "int32",
          "title": "数量"
        },
        "unit_price": {
          "type": "string",
          "format": "int64",
          "title": "实际单价"
        },
        "total_price": {
          "type": "string",
          "format": "int64",
          "title": "总价"
        },
        "identity": {
          "type": "string",
          "title": "购物车商品信息唯一标识"
        }
      }
    },
    "orderConfirmReply": {
      "type": "object",
      "properties": {
        "total_price": {
          "type": "string",
          "format": "int64",
          "title": "总价"
        }
      }
    },
    "orderCouponItem": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "format": "int64",
          "title": "ID"
        },
        "identity": {
          "type": "string",
          "title": "唯一码"
        },
        "title": {
          "type": "string",
          "title": "标题"
        },
        "intro": {
          "type": "string",
          "title": "描述"
        },
        "amount": {
          "type": "string",
          "title": "金额"
        },
        "started": {
          "type": "string",
          "title": "开始时间"
        },
        "expired": {
          "type": "string",
          "title": "结束时间"
        },
        "status": {
          "type": "string",
          "title": "状态"
        }
      }
    },
    "orderCouponListReply": {
      "type": "object",
      "properties": {
        "data": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/orderCouponItem"
          },
          "title": "购物车中的商品数据列表"
        }
      }
    },
    "orderOrderAddress": {
      "type": "object",
      "properties": {
        "country": {
          "type": "string",
          "title": "国家"
        },
        "province": {
          "type": "string",
          "title": "省/州"
        },
        "city": {
          "type": "string",
          "title": "市"
        },
        "area": {
          "type": "string",
          "title": "区"
        },
        "detail": {
          "type": "string",
          "title": "详细地址"
        },
        "contact": {
          "type": "string",
          "title": "联系人"
        },
        "phone": {
          "type": "string",
          "title": "手机号码"
        },
        "email": {
          "type": "string",
          "title": "邮箱"
        },
        "zipCode": {
          "type": "string",
          "title": "邮编"
        }
      }
    },
    "orderOrderDetails": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "format": "int64",
          "title": "ID"
        },
        "product_id": {
          "type": "string",
          "format": "int64",
          "title": "商品规格ID"
        },
        "spec_no": {
          "type": "string",
          "title": "商品规格编号"
        },
        "spec": {
          "type": "string",
          "title": "商品规格名称"
        },
        "type": {
          "type": "string",
          "format": "int64",
          "title": "商品类型"
        },
        "title": {
          "type": "string",
          "title": "商品名称"
        },
        "cover_image": {
          "type": "string",
          "title": "商品封面图片"
        },
        "sales_price": {
          "type": "string",
          "format": "int64",
          "title": "商品销售价格"
        },
        "product_args": {
          "type": "string",
          "title": "商品参数"
        },
        "number": {
          "type": "string",
          "format": "int64",
          "title": "数量"
        },
        "unit_price": {
          "type": "string",
          "format": "int64",
          "title": "单价"
        },
        "spec_id": {
          "type": "string",
          "format": "int64",
          "title": "商品规格id"
        },
        "product_identity": {
          "type": "string",
          "title": "产品唯一标识"
        },
        "gas_types": {
          "type": "string",
          "format": "int64",
          "title": "商品类型:1其它商品 2按瓶计费,3 按kg计费"
        },
        "total_price": {
          "type": "string",
          "format": "int64",
          "title": "总价"
        }
      }
    },
    "orderOrderGetReply": {
      "type": "object",
      "properties": {
        "summary": {
          "$ref": "#/definitions/orderOrderSummaryItem",
          "title": "订单概要详情"
        }
      }
    },
    "orderOrderListByStoreReply": {
      "type": "object",
      "properties": {
        "count": {
          "type": "integer",
          "format": "int32"
        },
        "data": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/orderOrderSummaryItem"
          },
          "title": "订单列表"
        }
      }
    },
    "orderOrderSummaryItem": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "format": "int64",
          "title": "ID"
        },
        "order_no": {
          "type": "string",
          "title": "订单编号"
        },
        "partner_id": {
          "type": "string",
          "format": "int64",
          "title": "合伙人ID"
        },
        "identity": {
          "type": "string",
          "title": "定单唯一标识"
        },
        "total_price": {
          "type": "string",
          "format": "int64",
          "title": "总价"
        },
        "trans_price": {
          "type": "string",
          "format": "int64",
          "title": "交易金额"
        },
        "refund_price": {
          "type": "string",
          "format": "int64",
          "title": "退款金额"
        },
        "logistics_fee": {
          "type": "string",
          "format": "int64",
          "title": "物流费用"
        },
        "coupon_amount": {
          "type": "string",
          "format": "int64",
          "title": "优惠券金额"
        },
        "remark": {
          "type": "string",
          "title": "备注"
        },
        "status": {
          "type": "integer",
          "format": "int32",
          "title": "订单状态：all全部订单，notarize确认中，sign签约中，signed签约完成,fulfil履约中，accomplish完成"
        },
        "logistics_number": {
          "type": "string",
          "title": "物流号"
        },
        "address_identity": {
          "type": "string",
          "title": "地址库唯一标识"
        },
        "county": {
          "type": "string",
          "title": "国家"
        },
        "province": {
          "type": "string",
          "title": "省"
        },
        "city": {
          "type": "string",
          "title": "市"
        },
        "area": {
          "type": "string",
          "title": "县"
        },
        "address": {
          "type": "string",
          "title": "详细地址"
        },
        "contact": {
          "type": "string",
          "title": "联系人"
        },
        "phone": {
          "type": "string",
          "title": "联系电话"
        },
        "delivery_time": {
          "type": "string",
          "title": "配送时间"
        },
        "delivery_identity": {
          "type": "string",
          "title": "配送工作人员唯一标识"
        },
        "pay_type": {
          "type": "integer",
          "format": "int32",
          "title": "支付类型：0:待支付，1:线下支付，2:微信 3:支付宝,4:余额"
        },
        "pay_amount": {
          "type": "string",
          "format": "int64",
          "title": "支付金额"
        },
        "pay_trade_no": {
          "type": "string",
          "title": "支付交易号"
        },
        "pay_time": {
          "type": "string",
          "title": "支付时间"
        },
        "pay_remark": {
          "type": "string",
          "title": "支付备注"
        },
        "created": {
          "type": "string",
          "title": "创建时间"
        },
        "updated": {
          "type": "string",
          "title": "最后创建时间"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/orderOrderDetails"
          },
          "title": "订单商品"
        },
        "addr": {
          "type": "string",
          "title": "简单地址信息"
        },
        "car_identity": {
          "type": "string",
          "title": "配送车辆唯一标识"
        },
        "delivery_address": {
          "type": "string",
          "title": "配送地址"
        },
        "brand": {
          "type": "string",
          "title": "配送车辆品牌"
        },
        "version": {
          "type": "string",
          "title": "配送车辆型号"
        },
        "license_number": {
          "type": "string",
          "title": "配送车辆车牌号"
        },
        "member_name": {
          "type": "string",
          "title": "配送员姓名"
        },
        "member_phone": {
          "type": "string",
          "title": "配送员电话"
        },
        "approve": {
          "type": "integer",
          "format": "int32",
          "title": "审批"
        }
      }
    },
    "orderSpecList": {
      "type": "object",
      "properties": {
        "number": {
          "type": "integer",
          "format": "int32",
          "title": "数量"
        },
        "product_identity": {
          "type": "string",
          "title": "商品唯一标识"
        }
      }
    },
    "orderStatusReply": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32",
          "title": "状态码"
        },
        "identity": {
          "type": "string",
          "title": "标识码"
        },
        "message": {
          "type": "string",
          "title": "状态说明"
        },
        "timeseq": {
          "type": "string",
          "format": "int64",
          "title": "响应时间序列"
        },
        "reason": {
          "type": "string",
          "title": "退款原因"
        }
      }
    },
    "orderSummaryGetReply": {
      "type": "object",
      "properties": {
        "summary": {
          "$ref": "#/definitions/orderOrderSummaryItem",
          "title": "订单概要详情"
        }
      }
    },
    "orderSummaryListReply": {
      "type": "object",
      "properties": {
        "count": {
          "type": "integer",
          "format": "int32"
        },
        "data": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/orderOrderSummaryItem"
          },
          "title": "订单列表"
        }
      }
    },
    "orderUpdates": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "format": "int64",
          "title": "商品ID"
        },
        "number": {
          "type": "string",
          "format": "int64",
          "title": "数量"
        }
      }
    },
    "protobufAny": {
      "type": "object",
      "properties": {
        "@type": {
          "type": "string"
        }
      },
      "additionalProperties": {}
    }
  }
}
